#
# spec file for package python-WebHelpers
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-WebHelpers
Version:        1.3
Release:        13.2
Url:            http://docs.pylonsproject.org/projects/webhelpers/dev/
Summary:        Web Helpers
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/W/WebHelpers/WebHelpers-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-Routes
Requires:       python-nose
Provides:       python-webhelpers = %{version}
Obsoletes:      python-webhelpers < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Web Helpers is a library of helper functions intended to make writing
web applications easier. It's the standard function library for
Pylons and TurboGears 2, but can be used with any web framework.  It also
contains a large number of functions not specific to the web, including text
processing, number formatting, date calculations, container objects, etc.

%prep
%setup -q -n WebHelpers-%{version}
sed -i "1d" webhelpers/{pylonslib/_jsmin,markdown,textile,pylonslib/minify}.py # Fix non-executable script

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README.txt TODO
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Mar 14 2012 saschpe@suse.de
- Simplified macro usage
* Thu Sep  1 2011 saschpe@suse.de
- Fix license to BSD-3-Clause (SPDX style)
* Thu Sep  1 2011 saschpe@suse.de
- Initial version
